%define snapshot 20080210

# Stuff to be implemented externally :
Source10: kmodtool_nocommon
%define   kmodtool sh %{SOURCE10}
# End stuff to be ...

# Temporarily hardcoded :
%{!?kver: %define kver 2.6.25-7}
%ifnarch i686 x86_64 ppc
%define kvariants ""
%else
%ifarch i686
%define kvariants ""
%endif
%ifarch x86_64
%define kvariants ""
%endif
%endif

%define kmod_name acx
%define kverrel %(%{kmodtool} verrel  %{?kver} 2>/dev/null)
%{!?kvariants: %global kvariants %(%{kmodtool} variant %{?kver} 2>/dev/null)}

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Kernel module for Texas Instruments ACX100/ACX111 based network adapters
Name: 		%{kmod_name}-kmod
Version: 	0.0.0.%{snapshot}
Release: 	5.%(echo %{kverrel} | tr - _)
Group: 		System/Configuration/Hardware
License: 	GPL
URL: 		http://acx100.sourceforge.net/
Source0: 	http://acx100.erley.org/acx-%{snapshot}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
# ExclusiveArch to assist the FE build system.
ExclusiveArch: 	i686

%description
This RPM contains a binary Linux kernel module built for %{kernel}. It 
provides a driver for Texas Instruments ACX100/ACX111 based wireless network
adapters.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%prep
# To understand the magic better or to debug it, uncomment this :
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -c -T
# Can't think of any better way to do this since we basically need -c twice
for kvariant in %{kvariants}; do
    mkdir _kmod_build_$kvariant
    cd    _kmod_build_$kvariant
        tar xjvf %{SOURCE0}
    cd ..
done
# Permissions in the original source are really bad (as of 20060215)
chmod -Rf a+rX,u+w,g-w,o-w .


%build
for kvariant in %{kvariants}; do
    ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
    cd _kmod_build_$kvariant/acx-%{snapshot}
        make -C "${ksrc}" M=`pwd`
    cd ..
done


%install
%{__rm} -rf %{buildroot}
for kvariant in %{kvariants}; do
    %{__install} -D -m 0755 _kmod_build_${kvariant}/acx-%{snapshot}/%{kmod_name}.ko \
        %{buildroot}/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}/%{kmod_name}.ko
done


%clean
%{__rm} -rf %{buildroot}


%changelog
* Fri May 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20080210-5
- kernel 2.6.25-7
* Sat May 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20080210-4
- kernel 2.6.25-6
* Fri May 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20080210-3
- kernel 2.6.25-4
* Sat Apr 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20080210-2
- kernel 2.6.25-3
* Sat Mar 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20080210-1
- version update
- kernel 2.6.24-10
* Sun Dec 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20071003-4
- kernel 2.6.24-5
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20071003-3
- kernel 2.6.24-3
* Sun Nov 25 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20071003-2
- kernel 2.6.24-1
* Mon Nov 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20071003-1
- version update
- kernel 2.6.23-7
* Thu Jun 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20070101-10
- kernel 2.6.21-5
* Mon Jun 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20070101-9
- kernel 2.6.21-4
* Thu May 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20070101-8
- kernel 2.6.21-2
* Fri Apr 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20070101-7
- kernel 2.6.21-1
* Sun Apr 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20070101-6
- kernel 2.6.20-7
* Thu Mar 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20070101-5
- Kernel 2.6.20-5
* Sat Feb 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20070101-4
- Kernel 2.6.20-4
* Thu Feb 22 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20070101-3
- Kernel 2.6.20-3
* Sat Feb 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20070101-2
- Kernel 2.6.20-2
* Tue Feb 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20070101-1
- Version update
- Kernel 2.6.20-1
* Sat Jan 13 2007 Christian Metzen <metzench@ccux-linux.de> 0.0.0.20060521-2
- Kernel 2.6.19-6
* Wed Dec 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20060521-1
- Version update
- Kernel 2.6.19-4
* Sat Nov 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.0.0.20060215-5
- Kernel 2.6.18-4
* Wed Oct 03 2006 Christian Metzen <metzench@ccux-linux.de> 0.0.0.20060215-4
- Kernel 2.6.17-3
* Sun Jul 16 2006 Christian Metzen <metzench@ccux-linux.de> 0.0.0.20060215-3
- Kernel 2.6.17-1
* Sun May 14 2006 Christian Metzen <metzench@ccux-linux.de> 0.0.0.20060215-2
- Kernel 2.6.16-5
* Tue Apr 18 2006 Christian Metzen <metzench@ccux-linux.de> 0.0.0.20060215-1
- Initial release
